Rapid7 Vulnerability & Exploit Database

Red Hat OpenShift: CVE-2020-14370: podman: environment variables leak between containers when started via Varlink or Docker-compatible REST API

Back to Search

Red Hat OpenShift: CVE-2020-14370: podman: environment variables leak between containers when started via Varlink or Docker-compatible REST API

Severity
4
CVSS
(AV:N/AC:L/Au:S/C:P/I:N/A:N)
Published
09/23/2020
Created
12/30/2020
Added
12/29/2020
Modified
02/17/2021

Description

An information disclosure vulnerability was found in containers/podman in versions before 2.0.5. When using the deprecated Varlink API or the Docker-compatible REST API, if multiple containers are created in a short duration, the environment variables from the first container will get leaked into subsequent containers. An attacker who has control over the subsequent containers could use this flaw to gain access to sensitive information stored in such variables.

Solution(s)

  • linuxrpm-upgrade-podman

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;